function [draha_vect,data_akcel] =	Vykresleni_A_m	(IMU)


t = (1/6);                              %cas pro integraci
korek= 1/8192;                          %korekce pro prevod na zrychleni g z prevodniku
korek_x = (228.9-3.55)/1800;            %korekce pomocne
korek_y = 29.9875/1900;                  %korekce pomocne

b = size(IMU,1);
d=2;
e=1;
while d<b+1
    data_akcel(e,1) = IMU(d,1);
    data_akcel(e,2) = IMU(d,2)*(-1);
    data_akcel(e,3) = IMU(d,3);
    d=d+3;
    e=e+1;
end 


% avg = [0 0 0];                                  %prumerovani prvnich n vektoru a nasledne pricteni ke vsem vektorum
% d=1;
% while d < 11
%     avg1(d,:) = data_akcel(d,:) ;
% d=d+1;
% end
% avg(1,:) = sum(avg1,1)/10;
% 
% d=1;
% while d < size(data_akcel,1)+1
%     data_akcel(d,:) = data_akcel(d,:) - avg(1,:);
%     data_akcel(d,1) = data_akcel(d,1) ;
%     d=d+1;
% end


data_akcel =  data_akcel.*korek;                        %prevod na g
zrychleni_jed = data_akcel.*9.81275;                    %prevod na a m/s2
t1=0;
d=1;                                                    %prevod na v m/s, nasobeni casem t, kazdy 5 vektor je nasoben 2t
while d < size(data_akcel,1)+1
e=0;
        while e < 4
             rychlost_jed_cas(d,:)=data_akcel(d,:).*(t*9.81275);
             t1(d+1,1)=t1(d,1)+ t;
            d=d+1;
            e=e+1;
        end
        
     rychlost_jed_cas(d,:)=data_akcel(d,:).*(2*t*9.81275);
     t1(d+1,1)=t1(d,1)+ 2*t;
d=d+1;
end

%%---------------------------------------------------------scitani vektoru
d=2;
while d < size(data_akcel,1)+1
    rychlost_jed_cas(d,1)=rychlost_jed_cas(d,1)+ rychlost_jed_cas(d-1,1);   
    rychlost_jed_cas(d,2)=rychlost_jed_cas(d,2)+ rychlost_jed_cas(d-1,2);   
    rychlost_jed_cas(d,3)=rychlost_jed_cas(d,3)+ rychlost_jed_cas(d-1,3);   
d=d+1;
end

%%---------------------------------------------------------kompenzace x
d=1;
e=1;
while e < 101                                           %konkretni korekce pro osu x na zaklade smernice primky (na zacatku stojime a na konci mereni stojime)
     rychlost_jed_cas(e,1)=rychlost_jed_cas(e,1) +  (3.55/100)*(d);   
     d=d+1;
     e=e+1;
end

while e < 1901
     rychlost_jed_cas(e,1)=rychlost_jed_cas(e,1) +  korek_x*(d-100)+3.55;   
     d=d+1;
     e=e+1;
end

while e < size(data_akcel,1)+1
     rychlost_jed_cas(e,1)=rychlost_jed_cas(e,1) +  (228.9+((d-1900)*10.895/85));   
     d=d+1;
     e=e+1;
end

%%---------------------------------------------------------kompenzace y
d=1;
while d < size(data_akcel,1)+1 -85
     rychlost_jed_cas(d,2)=rychlost_jed_cas(d,2) +  korek_y*d;   
    d=d+1;
end
while d < size(data_akcel,1)+1
     rychlost_jed_cas(d,2)=rychlost_jed_cas(d,2) +  korek_y*1900;   
    d=d+1;
end
%%---------------------------------------------------------
d=1;                                                     %prevod na v [m], vynasobeni casem na druhou, 5vektor 2t na druhou
while d < size(data_akcel,1)+1
e=0;
        while e < 4
             draha_vect(d,:)=data_akcel(d,:).*((t)*9.81275);
            d=d+1;
            e=e+1;
        end
        
     draha_vect(d,:)=data_akcel(d,:).*(((2*t))*9.81275);
d=d+1;
end

%%---------------------------------------------------------kompenzace x
d=1;
e=1;
while e < 101                                           %konkretni korekce pro osu x na zaklade smernice primky (na zacatku stojime a na konci mereni stojime)
     draha_vect(e,1)=draha_vect(e,1) +  (3.55/100);   
     d=d+1;
     e=e+1;
end

while e < 1901
     draha_vect(e,1)=draha_vect(e,1) +  korek_x;   
     d=d+1;
     e=e+1;
end

while e < size(data_akcel,1)+1
     draha_vect(e,1)=draha_vect(e,1) + 10.895/85;   
     d=d+1;
     e=e+1;
end
%%---------------------------------------------------------kompenzace y
d=1;
while d < size(data_akcel,1)+1 -85
     draha_vect(d,2)=draha_vect(d,2) -  korek_y;   
    d=d+1;
end
while d < size(data_akcel,1)+1
     draha_vect(d,2)=draha_vect(d,2) + 0;   
    d=d+1;
end

%%---------------------------------------------------------


d=1;                                                     %prevod na s [m], vynasobeni casem na druhou, 5vektor 2t na druhou
while d < size(data_akcel,1)+1
e=0;
        while e < 4
             draha_vect(d,:)=draha_vect(d,:).*(t);
            d=d+1;
            e=e+1;
        end
        
     draha_vect(d,:)=draha_vect(d,:).*(2*t);
d=d+1;
end


% d=2;
% while d < size(data_akcel,1)+1
%     draha_vect(d,1)=abs(draha_vect(d,1))+ abs(draha_vect(d-1,1));   
%     draha_vect(d,2)=abs(draha_vect(d,2))+ abs(draha_vect(d-1,2));   
%     draha_vect(d,3)=abs(draha_vect(d,3))+ abs(draha_vect(d-1,3));   
% d=d+1;


% end


figure(2);                                  %grafy zrychleni
subplot(3,1,1);
plot(t1(2:size(t1,1),1),zrychleni_jed(:,1))
xlabel('t [s]')
ylabel('a [m/s2]')
title('Zrychleni v case osa x (akcelerometr)') % nazev grafu
subplot(3,1,2);
plot(t1(2:size(t1,1),1),zrychleni_jed(:,2))
xlabel('t [s]')
ylabel('a [m/s2]')
title('Zrychleni v case osa y (akcelerometr)') % nazev grafu
subplot(3,1,3);
plot(t1(2:size(t1,1),1),zrychleni_jed(:,3))
xlabel('t [s]')
ylabel('a [m/s2]')
title('Zrychleni v case osa z (akcelerometr)') % nazev grafu

figure(3);                                  %grafy rychlsti
subplot(3,1,1);
plot(t1(2:size(t1,1),1),rychlost_jed_cas(:,1))
xlabel('t [s]')
ylabel('v [m/s]')
title('Rychlost v case osa x (akcelerometr)') % nazev grafu
subplot(3,1,2);
plot(t1(2:size(t1,1),1),rychlost_jed_cas(:,2))
xlabel('t [s]')
ylabel('v [m/s]')
title('Rychlost v case osa y (akcelerometr)') % nazev grafu
subplot(3,1,3);
plot(t1(2:size(t1,1),1),rychlost_jed_cas(:,3))
xlabel('t [s]')
ylabel('v [m/s]')
title('Rychlost v case osa z (akcelerometr)') % nazev grafu

figure(4);                                  %grafy drahy
subplot(3,1,1);
plot(t1(2:size(t1,1),1),draha_vect(:,1))
xlabel('t [s]')
ylabel('s [m]')
title('Draha v case osa x (akcelerometr)') % nazev grafu
subplot(3,1,2);
plot(t1(2:size(t1,1),1),draha_vect(:,2))
xlabel('t [s]')
ylabel('s [m]')
title('Draha  v case osa y (akcelerometr)') % nazev grafu
subplot(3,1,3);
plot(t1(2:size(t1,1),1),draha_vect(:,3))
xlabel('t [s]')
ylabel('s [m]')
title('Draha  v case osa z (akcelerometr)') % nazev grafu

figure(5);
plot3(draha_vect(:,1),draha_vect(:,2),draha_vect(:,3))
xlabel('x [m]')
ylabel('y [m]')
zlabel('z [m]')
title('Draha  3D (akcelerometr)') % nazev grafu

end